Name:           python-numpydoc
Version:        0.5
Release:        %mkrel 6
Summary:        Sphinx extension to support docstrings in Numpy format
Group:          Development/Python

License:        BSD
URL:            https://pypi.python.org/pypi/numpydoc
Source0:        https://pypi.python.org/packages/source/n/numpydoc/numpydoc-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(nose)
BuildRequires:  pythonegg(2)(sphinx)
BuildRequires:  pythonegg(2)(matplotlib)

%description
Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
following the Numpy/Scipy format to a form palatable to Sphinx.

%package -n python3-numpydoc
Summary:        Sphinx extension to support docstrings in Numpy format
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(nose)
BuildRequires:  pythonegg(3)(sphinx)
BuildRequires:  pythonegg(3)(matplotlib)

%description -n python3-numpydoc
Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
following the Numpy/Scipy format to a form palatable to Sphinx.


%prep
%setup -q -n numpydoc-%{version}

cp -a . %{py3dir}
2to3 --write --nobackups %{py3dir}


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%check
nosetests -v

pushd %{py3dir}
%{_bindir}/nosetests-3* -v || :
popd

 
%files
%doc LICENSE.txt README.rst
%{python2_sitelib}/numpydoc
%{python2_sitelib}/numpydoc-%{version}-py?.?.egg-info


%files -n python3-numpydoc
%doc LICENSE.txt README.rst
%{python3_sitelib}/numpydoc
%{python3_sitelib}/numpydoc-%{version}-py?.?.egg-info



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.5-6.mga6
+ Revision: 970620
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.5-5.mga6
+ Revision: 887336
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.5-4.mga5
+ Revision: 746724
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5-3.mga5
+ Revision: 729182
- rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 0.5-1.mga5
+ Revision: 669683
- update to 0.5.1, add Python3

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4-3.mga4
+ Revision: 543888
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4-2.mga4
+ Revision: 498980
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 0.4-1.mga4
+ Revision: 472045
- add Group
- imported package python-numpydoc

